<!-- This is surely a poor hack to deal with the header overlapping content ;) -->
<div style="padding-top: 100px" *ngIf="!isEmbedded">
    <div *ngIf="_isEditMode">Edit Company</div>
    <div *ngIf="_isCreateMode()">Create Company</div>
</div>

<div *ngIf="(_isCreateMode() || _isEditMode) && _form" class="container-fluid" id="createOrEdit">
    <form [formGroup]="_form" (ngSubmit)="_onSubmit()">
        <div class="row">
            <div class="form-group col-xs-12" [ngClass]="_formBuilder.groupClass(_formState.name)">
                <label for="name">
                    Name
                </label>
                <input type="text" id="name" class="form-control" formControlName="name" />

                <form-field-errors id="nameErrors" [field]="_formState.name"></form-field-errors>
            </div>
        </div>

        <div class="row">
            <div class="form-group col-xs-12" [ngClass]="_formBuilder.groupClass(_formState.website_url)">
                <label for="website_url">
                    Website Url
                </label>
                <input type="text" id="websiteUrl" class="form-control" formControlName="website_url" />

                <form-field-errors id="websiteUrlErrors" [field]="_formState.website_url"></form-field-errors>
            </div>
        </div>

        <div class="row">
            <div class="form-group col-xs-6" [ngClass]="_formBuilder.groupClass(_formState.city)">
                <label for="city">
                    City
                </label>
                <input type="text" id="city" class="form-control" formControlName="city" />

                <form-field-errors id="cityErrors" [field]="_formState.city"></form-field-errors>
            </div>
            <div class="form-group col-xs-6" [ngClass]="_formBuilder.groupClass(_formState.state)">
                <label for="state">
                    State
                </label>
                <input type="text" id="state" class="form-control" formControlName="state" />

                <form-field-errors id="stateErrors" [field]="_formState.state"></form-field-errors>
            </div>
        </div>

        <div class="row">
            <div class="form-group col-xs-6" [ngClass]="_formBuilder.groupClass(_formState.year_founded)">
                <label for="year_founded">
                    Year Founded
                </label>
                <input type="text" id="yearFounded" class="form-control" formControlName="year_founded" />

                <form-field-errors id="yearFoundedErrors" [field]="_formState.year_founded"></form-field-errors>
            </div>
            <div class="form-group col-xs-6" [ngClass]="_formBuilder.groupClass(_formState.number_of_employees)">
                <label for="number_of_employees">
                    # Employees
                </label>
                <input type="text" id="numberOfEmployees" class="form-control" formControlName="number_of_employees" />

                <form-field-errors id="numberOfEmployeesErrors" [field]="_formState.number_of_employees"></form-field-errors>
            </div>
        </div>

        <div class="row">
            <div class="form-group col-xs-12" [ngClass]="_formBuilder.groupClass(_formState.about)">
                <label for="about">
                    About
                </label>
                <input type="text" id="about" class="form-control" formControlName="about" />

                <form-field-errors id="aboutErrors" [field]="_formState.about"></form-field-errors>
            </div>
        </div>

        <div>
            <button id='createButton' *ngIf="_isCreateMode()" type="submit" class="submit-btn btn-primary"
                [disabled]="!_form.valid">Create</button>
            <button id='saveButton' *ngIf="_isEditMode" type="submit" class="submit-btn btn-primary"
                [disabled]="!_form.valid">Save</button>
            <button id='cancelButton' *ngIf="_isEditMode" type="button" class="submit-btn btn-primary"
                (click)="_cancel()">Cancel</button>
        </div>
    </form>

    <div class="text-center" style="padding-top: 20px" *ngIf="_unknownError" id='unknownError'>
        An unknown error occurred while trying to save your changes!
    </div>
</div>

<div class="container-fluid" *ngIf="_isViewMode()" id="view">
    <div class="row">
        <div class="col-xs-3">Logo Goes Here</div>
        <div class="col-xs-9">
            <div class="row">
                <div class="col-xs-11" id="name">
                    {{ company.name }}
                </div>
                <div class="col-xs-1">
                    <span *ngIf="_isEdittable()" (click)='_isEditMode=true' id="edit">Edit</span>
                </div>
            </div>
            <div class="row">
                <div class="col-xs-12">
                    <a (click)="_goToCompanyWebsite()" id="websiteUrl">{{ company.website_url }}</a>
                </div>
            </div>
            <div class="row">
                <div class="col-xs-12" id="location">
                    {{ company.city + ', ' + company.state }}
                </div>
            </div>
        </div>
    </div>
    <div class="row" id="about">
        <h3>About</h3>
        <p *ngFor="let paragraph of company.about | newLinesToBr">
            {{ paragraph }}
        </p>
    </div>
</div>